CVE-2016-10229

NameCVE-2016-10229
Descriptionudp.c in the Linux kernel before 4.5 allows remote attackers to execute arbitrary code via UDP traffic that triggers an unsafe second checksum calculation during execution of a recv system call with the MSG_PEEK flag.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)
Debian Bugs808293

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)wheezy3.2.78-1fixed
wheezy (security)3.2.89-2fixed
jessie3.16.43-2fixed
jessie (security)3.16.43-2+deb8u2fixed
stretch4.9.30-2fixed
stretch (security)4.9.30-2+deb9u2fixed
buster4.11.6-1fixed
sid4.11.11-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.5.1-1high808293
linuxsourcejessie3.16.7-ckt20-1+deb8u2high
linuxsourcewheezy3.2.73-2+deb7u2high

Notes

Fixed by: https://git.kernel.org/linus/197c949e7798fbf28cfadc69d9ca0c2abbf93191 (v4.5-rc1)

Search for package or bug name: Reporting problems